import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.assetTypes.create();
console.log(result);
}
run();curl --request POST \
--url https://idalia.app/api/asset-types \
--header 'Content-Type: application/json' \
--data '
[
{
"name": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": false
}
]
'import requests
url = "https://idalia.app/api/asset-types"
payload = [
{
"name": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": False
}
]
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
updatedBy: '<string>',
sku: '<string>',
notes: '<string>',
length: 123,
width: 123,
height: 123,
mass: 123,
externalIds: {},
categoryId: '<string>',
isAssembly: false
}
])
};
fetch('https://idalia.app/api/asset-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"createdAt": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": false
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "An unexpected error occurred",
"code": "500"
}Create asset types
Create asset types
import { Idalia } from "idalia";
const idalia = new Idalia({
apiKeyAuth: process.env["IDALIA_API_KEY_AUTH"] ?? "",
});
async function run() {
const result = await idalia.assetTypes.create();
console.log(result);
}
run();Body
Name of the asset type
ID of the user who last updated the asset type
Length of the asset type in m
Width of the asset type in m
Height of the asset type in m
Mass of the asset type in m
Show child attributes
Show child attributes
ID of the category the asset type belongs to
Boolean true if the asset type represents an assembly otherwise false to represent a component
Response
Successful response
ID of the asset type
Datetime when the asset type was created
Name of the asset type
Datetime when the asset type was last updated
ID of the workspace the asset type belongs to
ID of the user who last updated the asset type
Length of the asset type in m
Width of the asset type in m
Height of the asset type in m
Mass of the asset type in m
Show child attributes
Show child attributes
ID of the category the asset type belongs to
Boolean true if the asset type represents an assembly otherwise false to represent a component

